%define ver 0.8.5
%define release 1
%define filelist %{name}-0.8.5/files.list.%{name}

Summary:	KDE, Qt, WAV, Sound, Sonagram, Sample, Effects, 24 Bit, Ogg, Vorbis, FLAC, ALSA, OSS, playback, recording
Name:		kwave
Version: 	0.8.5
Release: 	1
License:	GPL and others, see LICENSES file
Source0: 	kwave-0.8.5-1.tar.gz
Group:  	Productivity/Multimedia/Sound/Editors
URL:		http://kwave.sourceforge.net
Vendor: 	Thomas Eschenbacher <Thomas.Eschenbacher@gmx.de>
BuildRoot: 	/tmp/kwave-%{version}.root
Prefix:   	/usr
Provides:	kwave
Requires: 	libqt-mt.so.3 >= 3.0
Requires: 	kdelibs3 >= 3.0
Requires:	id3lib >= 3.8.1
Requires:	libvorbis.so.0 >= 0.2.0
Requires:	libvorbisenc.so.2 >= 2.0.0
Requires:	libogg.so.0 >= 0.4.0
Requires:	libmad > 0.14
Requires:	audiofile >= 0.2.3
Requires:	fftw >= 3.0
Requires:	flac
Requires:       libsamplerate >= 0.1.3
BuildRequires:  cmake >= 2.6.0
BuildRequires:	flac-devel
BuildRequires:	id3lib-devel >= 3.8.1
BuildRequires:	kdemultimedia3-devel
BuildRequires:	libogg-devel >= 1
BuildRequires:	audiofile > 0.2.3
BuildRequires:	libvorbis >= 1
BuildRequires:	fftw >= 3.0
BuildRequires:	kdesdk3-translate
BuildRequires:  gettext-devel
BuildRequires:  ImageMagick

Conflicts: 	libkwave
Obsoletes: 	libkwave

%description
With Kwave you can edit many sorts of wav-files
including multi-channel files. You are able to
alter and play back each channel on its own.
Kwave also includes many plugins (most are
still under development) to transform the
wave-file in several ways and presents a
graphical view with a complete zoom-and scroll capability.

%prep

%setup

rm -rf "$RPM_BUILD_ROOT"
DESTDIR=""
unset DESTDIR

mkdir build
cd build
PATH=${PATH}:%{prefix}/bin \
    CXXFLAGS="${CXXFLAGS} ${RPM_OPT_FLAGS}" \
    CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}" \
    cmake .. \
    ${CONFIGURE_OPTS}

%build
DESTDIR=""
unset DESTDIR
make -C build $MAKE_FLAGS

%install
rm -rf "$RPM_BUILD_ROOT"
make -C build DESTDIR="$RPM_BUILD_ROOT" SUID_ROOT="" install

cd "$RPM_BUILD_ROOT"
echo "%defattr(-,root,root)" > "$RPM_BUILD_DIR"/%{filelist}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> "$RPM_BUILD_DIR"/%{filelist}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) \%dir ,' >> "$RPM_BUILD_DIR"/%{filelist}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) \%dir ,' >> "$RPM_BUILD_DIR"/%{filelist}
# remove files/directories that should not get into the package
mv "$RPM_BUILD_DIR"/%{filelist} /tmp/files.lst.tmp
cat /tmp/files.lst.tmp | grep -v /default$ | \
	grep -v /de$ | grep -v /en$ > /tmp/files.list.%{name}
rm -f /tmp/files.lst.tmp

%files -f /tmp/files.list.%{name}

%doc

%clean
rm -Rf "$RPM_BUILD_ROOT"

%post
ldconfig

%postun
ldconfig
